Skip to Content
kosemdocs
ReferenceAPIGroups

List groups

Lists the groups of an organization.

GET
/v1/organizations/{organization}/groups

Lists the groups of an organization.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
groups*array<>

Groups, oldest first.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/groups'
Example Response
{
  "groups": [
    {
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "displayName": "string",
      "name": "string",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextPageToken": "string"
}